ArrayObject::offsetUnset
CachingIterator::hasNext
SPL
PHP Manual

# The CachingIterator class

## Introduction

...

## Class synopsis

CachingIterator
class CachingIterator extends IteratorIterator implements OuterIterator , Traversable , Iterator , ArrayAccess , Countable {
/* Methods */
bool hasNext ( void )
void next ( void )
void rewind ( void )
string __toString ( void )
bool valid ( void )
}

## Table of Contents

- CachingIterator::hasNext — Check whether the inner iterator has a valid next element
- CachingIterator::next — Move the iterator forward
- CachingIterator::rewind — Rewind the iterator
- CachingIterator::__toString — Return the string representation of the current element
- CachingIterator::valid — Check whether the current element is valid

ArrayObject::offsetUnset
CachingIterator::hasNext
SPL
PHP Manual